<template>
  <div
    class="items-start travel-list"
    :class="$q.platform.is.desktop ? 'row q-mt-lg' : 'colmuns'"
  >
  <!-- 移动端 -->
  <div v-if="$q.platform.is.mobile">

    <div class="row q-pb-sm">
      <div class="col row items-center justify-center bg-white">
        <div @click="showAddress = true" class="nav-item">目的地<i class="iconfont iconarrowdown text-grey-6" style="margin-top: 3px; margin-left:4px"></i></div>
        <div @click="showPrice = true" class="nav-item">價錢/时间<i class="iconfont iconarrowdown text-grey-6" style="margin-top: 3px; margin-left:4px"></i></div>
      </div>
       
    </div>
      <popup mode="top" v-model="showAddress">
      <q-card flat class="rounded-borders q-py-md">
        <div class="text-subtitle1 text-weight-bold q-mx-md">篩選目的地</div>
        <q-input
          v-model="searchAdd.name"
          type="text"
          standout
          placeholder="搜尋目的地"
          class="q-ma-md"
          @input="changeAddrSearchHandler"
        />
        <q-tree
          ref="area"
          :nodes="areaList"
          no-connectors
          node-key="Id"
          label-key="Name"
          tick-strategy="leaf-filtered"
          @update:ticked="handleAreaTicked"
          :ticked="areaTicked"
          text-color="#666"
          no-nodes-label=" "
          no-results-label=" "
        />
        <q-tree
          ref="province"
          :nodes="provinceList"
          no-connectors
          node-key="Id"
          label-key="Name"
          tick-strategy="leaf"
          @update:ticked="handleProvTicked"
          :ticked="provTicked"
          text-color="#666"
          no-nodes-label=" "
          no-results-label=" "
        />
      </q-card>
      </popup>

      <popup mode="top" v-model="showPrice">

      <q-card flat class="rounded-borders q-pa-md q-mt-lg">
        <div class="text-subtitle1 text-weight-bold">價錢篩選（CNY）</div>
        <div class="q-mt-md text-grey-6 text-subtitle2 text-regular">
          {{ msg.priceRange.min }} - {{ msg.priceRange.max }}
        </div>
        <q-range
          v-model="msg.priceRange"
          :min="priceModel.min"
          :max="priceModel.max"
          :step="1"
          @change="testHandler"
          color="primary"
          class="q-mt-md"
        />
      </q-card><q-card flat class="rounded-borders q-mt-lg row no-padding q-mb-lg">
        <div
          class="q-px-md q-py-sm "
          style="border-right: 1px solid #eee; border-radius: 0 !important"
        >
          <q-icon name="iconfont iconigw-l-date-trade" size="24px" />
        </div>
        <div class="row items-center justify-center col">
          <span class="text-grey-8">
            {{
              msg.StartDate
                ? `${msg.StartDate} - ${msg.EndDate}`
                : "篩選出發日期"
            }}
          </span>
          <q-popup-proxy :offset="[0, 0]" ref="qDateProxy">
            <div>
              <q-date
                v-model="dateRange"
                :options="optionsFn"
                range
                @range-end="dateRangeHandler"
                mask="YYYY-MM-DD"
              ></q-date>
            </div>
          </q-popup-proxy>
        </div>
      </q-card></popup>
  </div>
    <div v-else class="col-3" :class="$q.platform.is.desktop ? 'q-mr-lg' : 'q-ma-md'">
      <q-card flat class="rounded-borders q-py-md">
        <div class="text-subtitle1 text-weight-bold q-mx-md">篩選目的地</div>
        <q-input
          v-model="searchAdd.name"
          type="text"
          standout
          placeholder="搜尋目的地"
          class="q-ma-md"
          @input="changeAddrSearchHandler"
        />
        <q-tree
          ref="area"
          :nodes="areaList"
          no-connectors
          node-key="Id"
          label-key="Name"
          tick-strategy="leaf-filtered"
          @update:ticked="handleAreaTicked"
          :ticked="areaTicked"
          text-color="#666"
          no-nodes-label=" "
          no-results-label=" "
        />
        <q-tree
          ref="province"
          :nodes="provinceList"
          no-connectors
          node-key="Id"
          label-key="Name"
          tick-strategy="leaf"
          @update:ticked="handleProvTicked"
          :ticked="provTicked"
          text-color="#666"
          no-nodes-label=" "
          no-results-label=" "
        />
      </q-card>
      

      <q-card flat class="rounded-borders q-mt-lg row no-padding">
        <div
          class="q-px-md q-py-sm"
          style="border-right: 1px solid #eee; border-radius: 0 !important"
        >
          <q-icon name="iconfont iconigw-l-date-trade" size="24px" />
        </div>
        <div class="row items-center justify-center col">
          <span class="text-grey-8">
            {{
              msg.StartDate
                ? `${msg.StartDate} - ${msg.EndDate}`
                : "篩選出發日期"
            }}
          </span>
          <q-popup-proxy :offset="[0, 0]" ref="qDateProxy">
            <div>
              <q-date
                v-model="dateRange"
                :options="optionsFn"
                range
                @range-end="dateRangeHandler"
                mask="YYYY/MM/DD"
              ></q-date>
            </div>
          </q-popup-proxy>
        </div>
      </q-card>

      <q-card flat class="rounded-borders q-pa-md q-mt-lg">
        <div class="text-subtitle1 text-weight-bold">價錢篩選（CNY）</div>
        <div class="q-mt-md text-grey-6 text-subtitle2 text-regular">
          {{ msg.priceRange.min }} - {{ msg.priceRange.max }}
        </div>
        <q-range
          v-model="msg.priceRange"
          :min="priceModel.min"
          :max="priceModel.max"
          :step="1"
          @change="testHandler"
          color="primary"
          class="q-mt-md"
        />
      </q-card>
    </div>
    <div class="col q-mt-sm">
      <div class="rounded-borders bg-white">
        <div class="row q-col-gutter-sm items-center q-pa-md">
          <div class="text-subtitle2 q-mr-md">
            <span class="text-weight-bold text-primary q-mr-sm">
              {{ TotalCount }}
            </span>
            <span>項體驗行程</span>
          </div>
          <q-chip
            v-for="(x, i) in chosenAddress"
            size="13px"
            :key="i"
            removable
            outline
            color="grey"
            :label="x.Name"
          />
        </div>
        <div v-if="false"
          class="q-pa-md row items-center"
          style="border-top: 1px solid #eee"
        >
          <span class="f12">排序：</span>
          <q-chip
            square
            :icon="x.icon"
            class="cursor-pointer"
            clickable
            :text-color="msg.orderBy != x.value ? 'dark' : 'white'"
            :class="{
              'bg-grey-3': msg.orderBy != x.value,
              'bg-primary': msg.orderBy == x.value,
            }"
            v-for="(x, i) in sortArray"
            :key="i"
            @click="chosenSortHandler(x)"
            >{{ x.label }}</q-chip
          >
        </div>
      </div>
      <div class="q-mt-lg" v-if="!$q.loading.isActive && DataList.length > 0">
        <div
          class="rounded-borders cursor-pointer overflow-hidden bg-white"
          :class="$q.platform.is.desktop ? 'row q-mb-md' : 'colmuns q-ma-md'"
          @click="GotoDetails(x)"
          v-for="(x, i) in DataList"
          :key="i"
        >
          <q-img
            :src="x.images[0]"
            :ratio="1"
            spinner-color="grey"
            spinner-size="20px"
            :width="$q.platform.is.desktop ? '272px' : ''"
            :height="$q.platform.is.desktop ? '' : '200px'"
            class="bg-grey-3"
          >
            <template v-slot:error>
              <div class="absolute-full flex flex-center bg-grey-3 text-dark">
                <img src="../../assets/img/errImg.png" alt="" style="width: 60%;">
              </div>
            </template>
          </q-img>
          <div class="q-pa-md col column">
            <div class="text-subtitle1 text-weight-bold text-grey-9">
              {{ x.hotelName }}
            </div>
            <div class="col">
              <div class="row items-center q-my-sm">
                <q-chip
                  style="background: #26a69a1a"
                  size="sm"
                  class="f12 rounded-borders text-secondary"
                  label="急速確認"
                />
                <!-- <q-chip
                  v-if="x.address"
                  style="background: #26a69a1a"
                  size="sm"
                  class="f12 rounded-borders text-secondary"
                  :label="x.address"
                /> -->
              </div>
              <div
                class="text-subtitle2 text-grey text-weight-regular ellipsis-2-lines"
                style="line-height: 1.6"
              >
                {{ x.DescriptionList.length?x.DescriptionList[0].NoHtmlHotelDescription:'' }}
              </div>
              <div class="row items-center f12 text-grey-6 q-mt-md">
                <q-icon
                  size="12px"
                  name="iconfont icondingweixiao"
                  class="q-mr-sm"
                />
                <span class="q-mr-lg">{{ x.address }}</span>
                <!-- <q-icon
                  size="12px"
                  name="iconfont iconigw-l-date-trade"
                  class="q-mr-sm"
                ></q-icon>
                <span>{{ x.StartDate }}</span> -->
              </div>
            </div>
            <div class="row items-end">
              <div class="col f12">
                
              </div>
              <div class="text-h6 product-price">
                CNY：{{ x.lowrateBySetCurrency }}<span class="price-stuff">元起</span>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div
        v-else-if="!$q.loading.isActive && DataList.length == 0"
        class="text-center q-mt-xl"
      >
        <div class="text-center inline-block">
          <p>
            <img src="~assets/sad.svg" style="width: 30vw; max-width: 150px" />
          </p>
          <p class="text-faded">
            我们找不到有关
            <span v-if="msg.HotelName">\"{{ msg.HotelName }}\"</span>
            的旅游体验，输入其他字眼重试或探索以下人气体验
          </p>
        </div>
      </div>
      <div class="row justify-end">
        <q-pagination
          v-if="PageCount > 1"
          v-model="msg.pageIndex"
          :max="PageCount"
          @input="goSearchHandler"
          :direction-links="true"
          color="white"
          text-color="dark"
          active-color="primary"
          active-text-color="white"
          active-design="unelevated"
          unelevated
          glossy
          ellipses
          :max-pages="6"
          boundary-numbers
          size="13px"
          padding="sm md"
        ></q-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import popup from "../props/index";
import { date } from "quasar";
export default {
  props: ["qMsg"],
  components: {popup},
  data() {
    return {
      showAddress: false,
      showCategory: false,
      showDate: false,
      showPrice: false,
      areaTicked: [],
      ticked: [],
      selected: [],
      searchAdd: {
        name: "日本",
        value: "JP",
      },
      areaList: [],
      chosenAddress: [],
      goodsType: [],
      dateRange: null,
      msg: null,
      dayArray: [
        {
          id: 1,
          min: 1,
          max: 1,
          text: "1天",
        },
        {
          id: 2,
          min: 2,
          max: 2,
          text: "2天",
        },
        {
          id: 3,
          min: 3,
          max: 3,
          text: "3天",
        },
        {
          id: 4,
          min: 4,
          max: 4,
          text: "4天",
        },
        {
          id: 5,
          min: 5,
          max: 5,
          text: "5天",
        },
        {
          id: 6,
          min: 6,
          max: 6,
          text: "6天",
        },
        {
          id: 7,
          min: 7,
          max: 8,
          text: "7-8天",
        },
        {
          id: 8,
          min: 9,
          max: 10,
          text: "9-10天",
        },
        {
          id: 9,
          min: 10,
          max: 1000,
          text: "10天以上",
        },
      ],
      DataList: [],
      sortArray: [
        {
          label: "默认排序",
          value: 0,
          icon: "iconfont icongood",
        },
        {
          label: "價格：低到高",
          value: 1,
          icon: "iconfont iconmeiyuan",
        },
        {
          label: "價格：高到低",
          value: 2,
          icon: "iconfont iconmeiyuan",
        },
      ],
      TotalCount: 0,
      PageCount: 0,
      priceModel: {
        min: 1,
        max: 100000,
      },
      expandedCountry: true,
      expandedProvince: false,
      provinceList: [],
      provTicked: [],
    };
  },
  watch: {
    qMsg: {
      handler(newVal, oldVal) {
        this.msg = this.qMsg;
        this.msg.priceRange = {
          min: 1,
          max: 100000,
        };
        this.msg.MinPrice = 0;
        this.msg.MaxPrice = 100000;
        this.dayArray.forEach((x) => {
          x.checked = false;
        });
        if(!newVal.StartDate||!newVal.EndDate){
          this.msg.StartDate = date.formatDate(new Date(this.qMsg.StartDate), "YYYY/MM/DD")
          this.msg.EndDate = date.formatDate(new Date(this.qMsg.EndDate), "YYYY/MM/DD")
        }
        this.dateRange = { from: this.msg.StartDate, to: this.msg.EndDate };
        if(newVal!=oldVal){
          this.goSearchHandler();
        }
      },
      deep: true,
      immediate: true,
    },
  },
  created() {
    
    this.initAreaList();
    this.initGoods();
    
  },
  mounted() {
      this.areaTicked = this.msg.Country ? [this.msg.Country] : (this.msg.Countrys ? this.msg.Countrys : []);
      this.msg.placeIds = this.getChoseAddressCity().join(",");
    var CategoryName = this.getUrlKey("CategoryName", window.location.href);
    if (CategoryName) {
      let list = this.goodsType.find(
        (item) => item.CategoryName === CategoryName
      );
      let arr = [];
      list.children.forEach((item) => {
        arr.push(item.Id);
        if (item.children && item.children.length) {
          item.children.forEach((item2) => {
            arr.push(item2.Id);
          });
        }
      });
      this.ticked = arr;
    }
  },
  methods: {
    changeHandler(item) {
      if(item.checked) {
        this.msg.DestinationID = item.Id;
      }else{
        this.msg.DestinationID = ''
      }
      this.provinceList.forEach(x => {
        if(item.Id!=x.Id&&x.checked){
          x.checked = false;
        }
      })
      if(this.provinceList.length>0&&!this.expandedProvince){
        this.expandedProvince = true;
      }
      this.resetQuery();
    },
    handleSelected(target) {
      
    },
    handleTicked(target) {
      let goodsType = this.goodsType.filter(x=>{return x.Id==target})
      if(goodsType&&goodsType.length>0) {
        if(goodsType[0].CategoryName=='签证'){
          return this.CommonJump("/searchVisa", {});
        }
        if(goodsType[0].CategoryName=='机票'){
          // return this.CommonJump("/planeticket", {});
        }
      }
      this.ticked = target;
      this.resetQuery();
    },
    handleProvTicked(target) {
      if(target.length>1) this.provTicked = [target[0]]
      else if(target.length==1) this.provTicked = target
      else this.provTicked = []
      this.msg.DestinationID = this.provTicked[0]
      this.resetQuery();
    },
    handleAreaTicked(target) {
      if(target.length>1) this.areaTicked = [target[target.length-1]]
      else if(target.length==1) this.areaTicked = target
      else this.areaTicked = ['JP'];
      this.msg.Country = this.areaTicked[0]
      this.getProvinceList(this.msg.Country);
      this.resetQuery();
    },
    initAreaList() {
      this.apipost(
        "dmc_post_GetDiDaCountryList", {},
        res => {
          let data = res.data.data;
          let arrList = function(list){
            list.forEach(x => {
              x.Id = x.ISOCountryCode;
              x.Name = x.CountryName_CN;
              x.checked = false;
              x.explsed = false;
              x.isShow = true;
            })
          }
          arrList(data);
          for (let i = 0; i < data.length; i++) {
            if (data[i].Id == this.msg.Country) {
              this.areaTicked.push(data[i].Id);
            }
          }
          this.areaList = [
            {
              Id: 0,
              Name: '國家',
              children: data
            }
          ]
          this.areaListJSON = JSON.parse(JSON.stringify(this.areaList));
          this.changeAddrSearchHandler('日本')
          this.getProvinceList(this.msg.Country);
        },
      );
    },
    getProvinceList(code) {
      this.apipost(
        "dmc_post_GetDiDaCityBaseInfo", {
          CountryCode: code,
          Type: "Destination",
        },
        res => {
          let data = res.data.data;
          let arrList = function(list){
            list.forEach(x => {
              x.Id = x.CityCode;
              x.Name = x.CityName_CN;
              x.checked = false;
              x.explsed = false;
              x.isShow = true;
            })
          }
          arrList(data);
          for (let i = 0; i < data.length; i++) {
            if (data[i].Id == this.msg.DestinationID) {
              this.provTicked.push(data[i].Id);
            }
          }
          this.provinceList = [
            {
              Id: 0,
              Name: '城市',
              children: data
            }
          ]
          this.provinceJSON = JSON.parse(JSON.stringify(this.provinceList));
        },
      );
    },
    changeExplesdHandler(x) {
      x.explsed = !x.explsed;
      if (x.SubList) {
      }
    },

    chosenSortHandler(x) {
      this.msg.orderBy = x.value;
      this.resetQuery();
    },
    getChoseAddressCity() {
      let result = [];
      function treeToArray(tree) {
        return tree.reduce((res, item) => {
          const { children, ...i } = item;
          return res.concat(
            i,
            children && children.length ? treeToArray(children) : []
          );
        }, []);
      }
      const areaList = treeToArray(this.areaList);
      areaList.forEach((item) => {
        if (this.areaTicked.includes(item.Id)) {
          let arr = item.DestinationList.map((item) => item.ID);
          result = result.concat(arr);
        }
      });
      return result;
    },
    changeTripDayHandler() {
      this.$forceUpdate();
      // this.msg.minTripDay = "0";
      // this.msg.maxTripDay = "0";
      // this.dayArray.forEach(x => {
      //   if (x.checked) {
      //     this.msg.MinPrice =
      //       this.msg.MinPrice > x.min ? x.min : this.msg.MinPrice;
      //     this.msg.MaxPrice =
      //       this.msg.MaxPrice < x.max ? x.max : this.msg.MaxPrice;
      //   }
      // });
      // this.msg.minTripDay =
      //   this.msg.minTripDay == "0" ? "" : this.msg.minTripDay;
      // this.msg.maxTripDay =
      //   this.msg.maxTripDay == "0" ? "" : this.msg.maxTripDay;
      let arr = [];
      this.dayArray.forEach((item) => {
        if (item.checked) {
          arr.push(item.id);
        }
      });
      this.msg.dayNumList = arr;
      this.resetQuery();
    },
    optionsFn(cd) {
      return (
        cd >=
        date.formatDate(date.addToDate(new Date(), { days: 8 }), "YYYY/MM/DD")
      );
    },
    testHandler(e) {
      this.$forceUpdate();
      this.msg.MinPrice = e.min;
      this.msg.MaxPrice = e.max;
      this.resetQuery();
    },
    dateRangeHandler(e) {
      this.msg.StartDate = `${e.from.year}/${e.from.month}/${e.from.day}`;
      this.msg.EndDate = `${e.to.year}/${e.to.month}/${e.to.day} `;
      this.$refs.qDateProxy.hide();
      this.resetQuery();
    },
    initGoods() {
      let arr = [];
      let jObj = JSON.parse(window.localStorage.getItem("baseifo"));
      jObj.CategoryList.forEach((x) => {
        if(x.Id==1){
          return;
        }
        if(x.Id==this.msg.categoryId){
          arr.push(x.Id);
        }
        x.checked = false;
        x.explsed = false;
        x.isShow = true;
        x.children = x.SubList;
        x.children.forEach((y) => {
          y.checked = false;
          y.explsed = false;
          y.isShow = true;
          if (y.Id === this.msg.categoryId) {
            arr.push(y.Id);
          }
          if (y.SubList && y.SubList.length) {
            y.children = y.SubList;
            y.children.forEach((z) => {
              z.checked = false;
              z.explsed = false;
              z.isShow = true;
              if (z.Id === this.msg.categoryId) {
                arr.push(z.Id);
              }
              if (y.Id === this.msg.categoryId) {
                arr.push(z.Id);
              }
            });
          }
        });
        this.goodsType.push(x);
      });
      this.goodsTypeJSON = JSON.stringify(this.goodsType);
      if (this.msg.categoryId) {
        this.$nextTick(() => {
          this.$refs.category?.setTicked([...new Set(arr)], true);
        });
      }
    },
    dfs(tree, ope, filter) {
      const walkAndCopy = (tree, depth = 1) => {
        if (filter(tree)) {
          const copy = { ...tree };
          ope(tree.Name, depth);
          if (tree.children) {
            copy.children = [];
            tree.children.forEach((node) => {
              const subTree = walkAndCopy(node, depth + 1);
              subTree && copy.children.push(subTree);
            });
          }
          return copy;
        } else if (tree && tree.children && tree.children.length) {
          const copy = { ...tree };
          ope(tree.Name, depth);
          copy.Name = tree.Name;
          if (tree.children) {
            copy.children = [];
            tree.children.forEach((node) => {
              const subTree = walkAndCopy(node, depth + 1);
              subTree && copy.children.push(subTree);
            });
          }
          return copy;
        }
      };
      return walkAndCopy(tree);
    },
    changeAddrSearchHandler(v) {
      this.areaListJSONTMP = JSON.parse(JSON.stringify(this.areaListJSON));
      let tree = this.dfs(
        { Name: "", children: this.areaListJSONTMP },
        (name, depth) => {},
        ({ Name }) => {
          return Name.indexOf(v) !== -1;
        }
      );
      tree = this.dfs(
        tree,
        (name, depth) => {},
        ({ Name }) => {
          return Name.indexOf(v) !== -1;
        }
      );
      tree = this.dfs(
        tree,
        (name, depth) => {},
        ({ Name }) => {
          return Name.indexOf(v) !== -1;
        }
      );
      if(tree&&tree.children)this.areaList = tree.children;
      
      if(this.provinceJSON){
        this.provinceJSONTMP = JSON.parse(JSON.stringify(this.provinceJSON));
        let treeProvince = this.dfs(
          { Name: "", children: this.provinceJSONTMP },
          (name, depth) => {},
          ({ Name }) => {
            return Name.indexOf(v) !== -1;
          }
        );
        treeProvince = this.dfs(
          treeProvince,
          (name, depth) => {},
          ({ Name }) => {
            return Name.indexOf(v) !== -1;
          }
        );
        treeProvince = this.dfs(
          treeProvince,
          (name, depth) => {},
          ({ Name }) => {
            return Name.indexOf(v) !== -1;
          }
        );
        if(treeProvince&&treeProvince.children)this.provinceList = treeProvince.children;
      }
    },
    resetQuery(){
      this.msg.pageIndex = 1
      this.goSearchHandler()
    },
    goSearchHandler() {
      this.$q.loading.show();
      this.DataList = [];
      let minTripDay = -1,
        maxTripDay = -1,
        minPrice = -1,
        maxPrice = -1;
      if (this.qMsg.MinPrice != "") {
        minPrice = parseFloat(this.qMsg.MinPrice);
      }
      if (this.qMsg.MaxPrice != "") {
        maxPrice = parseFloat(this.qMsg.MaxPrice);
        if (minPrice > maxPrice) {
          this.Error("价格区间的最低价格不能低于最大价格");
          return false;
        }
      }
      var companyId = -1;
      if (localStorage.groupinfo) {
        var groupinfo = JSON.parse(localStorage.groupinfo);
        companyId =
          groupinfo.siteList[0] && groupinfo.siteList[0].companyId
            ? groupinfo.siteList[0].companyId
            : -1;
      }
      if (localStorage.b2bUser) {
        var b2bUser = JSON.parse(window.localStorage.getItem("b2bUser"));
        if (b2bUser) {
          this.msg.priceOrderByField = 2;
        }
      }
      this.PageCount = 0;
      this.TotalCount = 0;
      
      // b2c_get_GetB2CMergeProductPageList
      // dmc_post_GetDiDaHotelPageList
      this.apipost(
        "dmc_post_GetDiDaHotelPageList",
        this.msg,
        (res) => {
          this.$q.loading.hide();

          if (res.data.resultCode == 1) {
            this.PageCount = res.data.data.pageCount;
            this.TotalCount = res.data.data.count;
            var tempArray = res.data.data.pageData;
            if (tempArray && tempArray.length > 0) {
              tempArray.forEach(item => {
                item.productType = 6;
                item.configId = item.hotelId;
                item.images = []
                item.ImgList.forEach(img => {
                  this.checkImageExists(img.ImageUrl, (exists) => {
                    if(exists){
                      item.images.push(img.ImageUrl)
                    }
                  });
                })
              });
              this.DataList = tempArray;
              
              // this.$forceUpdate();
            }
          }
        },
        (err) => {}
      );
    },
    renderSearchInfo(condition) {
      if (!condition.length) {
        return;
      }
      let areaInfo = condition.find((item) => item.type === 1);
      let dayInfo = condition.find((item) => item.type === 2);
      let priceInfo = condition.find((item) => item.type === 3);
      let categoryInfo = condition.find((item) => item.type === 4);
      // this.areaTicked = areaInfo;
      this.areaListJSONTMP = JSON.parse(JSON.stringify(this.areaListJSON));
      let tree = this.dfs(
        { Name: "", children: this.areaListJSONTMP },
        (name, depth) => {},
        ({ Id }) => {
          return areaInfo.includes(Id);
        }
      );
      tree = this.dfs(
        tree,
        (name, depth) => {},
        ({ Id }) => {
          return areaInfo.includes(Id);
        }
      );
      tree = this.dfs(
        tree,
        (name, depth) => {},
        ({ Id }) => {
          return areaInfo.includes(Id);
        }
      );
      this.areaList = tree.children;
      const categoryTmp = JSON.parse(this.goodsTypeJSON);
      let category = this.dfs(
        { Name: "", children: categoryTmp },
        (name, depth) => {},
        (item) => {
          return categoryInfo.includes(item.Id);
        }
      );
      category = this.dfs(
        category,
        (name, depth) => {},
        (item) => {
          return categoryInfo.includes(item.Id);
        }
      );
      category = this.dfs(
        category,
        (name, depth) => {},
        (item) => {
          return categoryInfo.includes(item.Id);
        }
      );
      this.goodsType = category.children;
      // this.ticked = categoryInfo;
      this.priceModel = { min: priceInfo.MinPrice, max: priceInfo.MaxPrice };
      // this.msg.priceRange = {
      //   min: priceInfo.MinPrice,
      //   max: priceInfo.MaxPrice,
      // };
      let arr = [];
      dayInfo.forEach((item) => {
        if (item < 6) {
          arr.push(item);
        } else if (item === 7 || item === 8) {
          arr.push(7);
        } else if (item === 8 || item === 10) {
          arr.push(8);
        } else {
          arr.push(9);
        }
      });
      // arr = [... new Set(arr)]
      // this.dayArray.forEach(item => {
      //   if(arr.includes(item.id)) {
      //     item.checked = true
      //   }
      // })
      this.dayArray = this.dayArray.filter((item) => arr.includes(item.id));
      // this.msg.dayNumList = arr;
    },
    GotoDetails(item) {
      item.CheckInDate = this.msg.StartDate
      item.CheckOutDate = this.msg.EndDate
      this.CommonJump(item, {}, "blank");
    },
  },
};
</script>

<style>
.addr-list:hover {
  background: #E3F2FD;
}
</style>
<style lang="scss" scoped>
::v-deep .q-menu {
  width: 100% !important;
}
.price-stuff {
  font-size: 12px;
  margin-left: 4px;
}
.nav-item {
  width: 25%;
  height: 40px;
  line-height: 40px;
  text-align: center;
  background: #fff;
  font-weight: bold;
}
.nav-item:hover {
  background: #f5f5f5;
}
.CountryKkday{
  color: #666;
  font-family: Roboto, Arial,微軟正黑體修正, 微軟正黑體, "Microsoft JhengHei","Microsoft JhengHei UI", sans-serif;
}
.CountryKkday:hover {
  background: #fff;
}

::v-deep .CountryKkday .addr-list{
  background: rgba(225,225,225,0);
}
::v-deep .CountryKkday .addr-list:hover{
  background: rgba(225,225,225,0);
}
body.desktop .CountryKkday .g-hoverable:hover >.g-focus-helper{
  background: rgba(0,0,0,0);
}
</style>
